This page contains textbook recommendations on the History of STEM. See also the section on [[Math Textbook Recommendations#Historical|Math History]] as well as [[Documentaries]].

== General History ==
For some context of the world that science and technology emerged from
* [http://www.gutenberg.org/ebooks/26042 An Introduction to the History of Western Europe by James Harvey Robinson]
* Europe: A History by Norman Davies
* The History of Science and Religion in the Western Tradition by Ferngren, et al.
* The Foundations of Modern Science in the Middle Ages: Their Religious, Institutional and Intellectual Contexts by Edward Grant
* The Beginnings of Western Science: The European Scientific Tradition in Philosophical, Religious, and Institutional Context, Prehistory to A.D. 1450 by David C. Lindberg

== Biographies ==

=== 17th Century and Earlier ===
* The Lord of Uraniborg: A Biography of Tycho Brahe by Victor E. Thoren with contributions by John Robert Christianson
* Kepler (Dover Books on Astronomy) by Max Caspar
*Never at Rest: A Biography of Isaac Newton by Richard S. Westfall

=== 18th Century ===
* James Watt: Making the World Anew by Ben Russell
* James Watt, Chemist: Understanding the Origins of the Steam Age by David Philip Miller 
* Coulomb and the Evolution of Physics and Engineering in Eighteenth-Century France by C. Stewart Gillmor
* Volta: Science and Culture in the Age of Enlightenment by Giuliano Pancaldi
* [https://archive.org/details/JosephFourierTheManThePhysicist Joseph Fourier: The Man and the Physicist] by Herivel
*André-Marie Ampère: Enlightenment and Electrodynamics by James R. Hofmann
* Lazare and Sadi Carnot: A Scientific and Filial Relationship by Charles Coulston Gillispie and Raffaele Pisano

=== 19th Century ===
* Life of Sir William Rowan Hamilton, [https://archive.org/details/lifeofsirwilliam01gravuoft Volume I (1882)]; [https://archive.org/details/lifeofsirwilliam02gravuoft Volume II (1885)]; [https://archive.org/details/lifeofsirwilliam03gravuoft Volume III (1889)] by Robert Perceval Graves
*Sir William Rowan Hamilton (1980) by Thomas L. Hankins
*Faraday, Maxwell, and the Electromagnetic Field: How Two Men Revolutionized Physics by Nancy Forbes and Basil Mahon
* The Electric Life of Michael Faraday by Alan W. Hirshfeld
* Michael Faraday: A Biography by L. Pearce Williams
* James Clerk Maxwell: Perspectives on his Life and Work edited by Raymond Flood, Mark McCartney and Andrew Whitaker
* The Forgotten Genius of Oliver Heaviside: A Maverick of Electrical Science by Basil Mahon (A slight revision of "Oliver Heaviside: Maverick Mastermind of Electricity")
* The Maxwellians by Bruce J. Hunt (How [https://en.wikipedia.org/wiki/George_Francis_FitzGerald George Francis FitzGerald], [https://en.wikipedia.org/wiki/Oliver_Heaviside Oliver Heaviside], [https://en.wikipedia.org/wiki/Oliver_Lodge Oliver Lodge], and [https://en.wikipedia.org/wiki/Heinrich_Hertz Heinrich Hertz] revised and confirmed Maxwell's Equations)
* Ludwig Boltzmann: The Man Who Trusted Atoms by Carlo Cercignani
* Boltzmann's Atom: The Great Debate That Launched A Revolution In Physics by David Lindley
* Degrees Kelvin: A Tale of Genius, Invention, and Tragedy by David Lindley
* Kelvin: Life, Labours and Legacy by Raymond Flood, Mark McCartney, and Andrew Whitaker
* The Life of Lord Kelvin: [https://archive.org/details/lifeofwillthom01thomrich Volume 1] and [https://archive.org/details/lifeofwillthom02thomrich Volume 2] by Silvanus P. Thompson (The most comprehensive account of 'William Thomson - Baron Kelvin of Largs' there is)
* J.J. Thompson And The Discovery Of The Electron by E. A. Davis and Isabel Falconer (J.J Thompson also wrote an autobiography called "Recollections and Reflections")

=== 20th Century ===
* Planck: Driven by Vision, Broken by War by Brandon R. Brown
* Rutherford: Simple Genius by David Wilson
* Rutherford: Scientist Supreme by John Campbell
* Lise Meitner: A Life in Physics by Ruth Lewin Sime
* Subtle Is the Lord: The Science and the Life of Albert Einstein by Abraham Pais
* Niels Bohr's Times,: In Physics, Philosophy, and Polity by Abraham Pais
* J. Robert Oppenheimer: A Life by Abraham Pais
* No Time to be Brief: A Scientific Biography of Wolfgang Pauli by Charles P. Enz
* Force of Nature: The Life of Linus Pauling by Thomas Hager
* The Pope of Physics: Enrico Fermi and the Birth of the Atomic Age by Gino Segrè and Bettina Hoerlin
* Enrico Fermi, Physicist by Emilio Segre
* The Strangest Man: The Hidden Life of Paul Dirac, Mystic of the Atom by Graham Farmelo
* Dirac: A Scientific Biography by Helge Kragh
* Schrödinger: Life and Thought by Walter Moore
* Uncertainty: The Life and Science of Werner Heisenberg by David C. Cassidy
* Nuclear Forces: The Making of the Physicist Hans Bethe by Silvan S. Schweber
* Hans Bethe And His Physics by Gerald E. Brown and Chang-Hwan Lee
* QED and the Men Who Made It: Freeman Dyson, Richard Feynman, Julian Schwinger, and Sin-Itiro Tomonaga by Silvan S. Schweber
* Julian Schwinger: The Physicist, the Teacher, and the Man by Jack Ng Yee
* Climbing the Mountain: The Scientific Biography of Julian Schwinger by Jagdish Mehra and Kimball Milton
* The Beat of a Different Drum: The Life and Science of Richard Feynman by Jagdish Mehra
* Maverick Genius: The Pioneering Odyssey of Freeman Dyson by Phillip F. Schewe (For more on his scientific/mathematical work check out "Selected Papers of Freeman Dyson with Commentary" by Freeman Dyson)

== Subject History ==
* A History of Mechanics (Dover Books on Physics) by René Dugas
* Theories of the World from Antiquity to the Copernican Revolution (Dover Books) by Michael J. Crowe
* A History of Astronomy (Dover Books on Astronomy) by A. Pannekoek
* The History of the Telescope (Dover Books on Astronomy) by Henry C. King
* A History of the Theories of Aether & Electricity: Vol. 1: ''The Classical Theories ''and'' ''Vol. 2: ''The Modern Theories 1900-1926'' (Dover Books) by Sir Edmund T. Whittaker (The updated 2 volume edition is back in print) 
* Electrodynamics from Ampère to Einstein by Olivier Darrigol
* Worlds of Flow: A History of Hydrodynamics from the Bernoullis to Prandtl by Olivier Darrigol
* A History of Optics from Greek Antiquity to the Nineteenth Century by Olivier Darrigol
* Theories of Vision from Al-Kindi to Kepler by David C. Lindberg
* Inward Bound: Of Matter and Forces in the Physical World by Abraham Pais
* The Development of Modern Chemistry (Dover Books on Chemistry) by Aaron J. Ihde
* Einstein, Hilbert, and The Theory of Gravitation: Historical Origins of General Relativity Theory by Jagdish Mehra
* The Conceptual Development of Quantum Mechanics by Max Jammer
== Principal Works ==

=== Classical Works ===
Be forewarned that these require extensive familiarity with Euclid's Elements of Geometry
* ''Almagest'' (AD ~150) by Ptolemy (Ptolemy's comprehensive mathematical treatise of the geocentric model using epicycles, deferents, eccentrics, and equants. The Greek name was "Syntaxis Mathematica", later called "Hē Megalē Syntaxis"/"The Great Treatise" then shortened to "Megiste"/"Greatest" which was transliterated into the Arabic "al-majisṭī" and finally Latinized into "Almagest". To aid in understanding it, check out: "''A Survey of the Almagest'' by Olaf Pedersen ''with Annotation and New Commentary'' by Alexander Jones" & "''The Almagest: Introduction to the Mathematics of the Heavens'' by William H. Donahue". There is also a rewritten version by Richard Fitzpatrick called "''[http://farside.ph.utexas.edu/Books/Syntaxis/Syntaxis.html A Modern Almagest: An Updated Version of Ptolemy's Model of the Solar System]''". )
* ''De revolutionibus orbium coelestium (On the Revolutions of the Celestial Spheres) ''(1543) by Nicolaus Copernicus
* ''Astronomia nova'' ''(New Astronomy)'' (1609) by Johannes Kepler
* ''Harmonices Mundi'' ''(Harmony of the World)'' (1619) by Johannes Kepler

=== Early Works ===
* ''Opticks: Or a Treatise of the Reflections, Refractions, Inflections & Colours of Light (Dover Books) ''(1704-1730) by Sir Isaac Newton
* ''Electrical Papers: [https://archive.org/details/electricalpapers01heavuoft Volume 1 (1892)],  [https://archive.org/details/electricalpapers02heavrich Volume 2 (1894)]'' by Oliver Heaviside
* ''Electromagnetic Theory: [https://archive.org/details/electromagnetic00heavgoog Volume 1 (1893)], [https://archive.org/details/electromagnetict02heavrich Volume 2 (1899)], [https://archive.org/details/electromagnetict03heavuoft Volume 3 (1912)]'' by Oliver Heaviside

==== Chemistry ====
* ''The Sceptical Chymist: or Chymico-Physical Doubts & Paradoxes (Dover Books)'' (1661) by Robert Boyle
* ''Elements of Chemistry (Dover Books on Chemistry)'' (1789) by Antoine Lavoisier
* ''[https://archive.org/details/foundationsofato00daltiala Foundations Of The Atomic Theory: Comprising Papers And Extracts By John Dalton, William Hyde Wollaston, And Thomas Thomson (1802-1808)]'' [48 pages]
* ''Foundations of the Molecular Theory: Comprising Papers and Extracts by John Dalton, Joseph-Louis Gay-Lussac, and Amedeo Avogadro (1808-1811) ''([https://books.google.com/books?id=mvA3AQAAMAAJ&printsec=frontcover Google Books], [https://archive.org/details/b2190196x Archive.org]) [51 pages]

==== Thermodynamics and Statistical Mechanics ====
* ''The Analytical Theory of Heat (Dover Books)'' (1822) by Joseph Fourier [496 pages]
* ''Reflections on the Motive Power of Fire: And Other Papers on the Second Law of Thermodynamics (Dover Books) ''by Sadi Carnot (Contains 3 papers that laid the foundation of thermodynamics: Carnot's "Reflections on the Motive Power of Heat" (1824), Cladeyron's "Memoir on the Motive Power of Heat" (1834), and Clausius' "On the Motive Power of Heat and one the laws which can be deduced from it for the theory of heat" (1850).) [192 pages]
* ''Theory of Heat (Dover Books)'' (1871) by James Clerk Maxwell (This is where he coined "Maxwell's Demon") [400 pages]
* ''Lectures on Gas Theory (Dover Books)'' (1896-1898) by Ludwig Boltzmann [512 pages]
* ''Elementary Principles in Statistical Mechanics: Developed with Especial Reference to the Rational Foundation of Thermodynamics (Dover Books)'' (1902) by J. Willard Gibbs [224 pages]
* ''The Conceptual Foundations of the Statistical Approach in Mechanics (Dover Books)'' (1911) by Paul Ehrenfest and Tatiana Ehrenfest [128 pages]
* ''Treatise on Thermodynamics (Dover Books)'' (1897-1917) by Max Planck [320 pages]
* ''The Theory of Heat Radiation (Dover Books)'' (1906-1914) by Max Planck [256 pages]

=== Modern Works ===
* ''The Principle of Relativity: A Collection of Original Papers on the Special and General Theories of Relativity (Dover Books on Physics)'' by Albert Einstein, H. A. Lorentz, H. Minkowski, and H. Weyl
* ''Investigations on the Theory of the Brownian Movement (Dover Books on Physics)'' by Albert Einstein (Contains the five papers by Einstein on Brownian motion. This is where Einstein finally 'proved' atoms physically existed in 1905-1908. Yes, it really took that long to convince chemists that discrete atoms were a physical reality and not merely a useful calculative aid for chemical reactions and formulas)
* ''On a Heuristic Point of View about the Creation and Conversion of Light''  (1905) by Albert Einstein (Einstein's Nobel Prize winning miracle year paper on the photoelectric effect) ([https://en.wikisource.org/wiki/Translation:On_a_Heuristic_Point_of_View_about_the_Creation_and_Conversion_of_Light English 1], [http://users.physik.fu-berlin.de/~kleinert/files/eins_lq.pdf English 2], [http://www.physik.uni-augsburg.de/annalen/history/einstein-papers/1905_17_132-148.pdf German])

==== Quantum Theory ====
* ''Sources of Quantum Mechanics (Dover Books)'' by van der Waerden (Contains 11 full + 6 abridged papers (1917-1926) on the "[https://en.wikipedia.org/wiki/Old_quantum_theory old quantum theory]" that paved the way to QM by Einstein, Ehrenfest, Bohr, Ladenburg, Kramers, Slater, Born, Van Vleck, and Kuhn and on [https://en.wikipedia.org/wiki/Matrix_mechanics Matrix Mechanics] by Heisenberg, Born, Dirac, Pauli, and Jordan)
* ''Collected Papers on Wave Mechanics: Together with His Four Lectures on Wave Mechanics'' by Erwin Schrödinger (Contains 9 papers (1926-1928) defining Schrödinger's [https://en.wikipedia.org/wiki/Schr%C3%B6dinger_equation Wave Equation Formulation] of Quantum Mechanics, showed that his Wave Equation approach is equivalent to Heisenberg-Born-Jordan's Matrix Mechanics formulation, and a few of its results)
* ''Mathematical Foundations of Quantum Mechanics'' (1932) by John von Neumann
* ''Selected Papers on Quantum Electrodynamics (Dover Books)'' by Julian Schwinger (34 historical papers (1927-1953) on quantum electrodynamics from Dirac, Jordan, Dyson, Fermi, Feynman, Foley, Heisenberg, Klein, Oppenheimer, Pauli, Weisskopf, Schwinger, Kusch, Lamb, Nordsieck, Retherford, Källen, Bethe, Bloch, Tomonaga, Kroll, Karplus, Wigner, and Villars. The papers were edited by Julian Schwinger, who won the 1965 Nobel Prize in Physics, along with Richard Feynman and Shinichiro Tomonaga, for their work on quantum electrodynamics.)

==== Electrical and Computer Engineering ====
* [http://www.ams.org/journals/mcom/1965-19-090/S0025-5718-1965-0178586-1/S0025-5718-1965-0178586-1.pdf ''An Algorithm for the Machine Calculation of Complex Fourier Series''] (1965) by James W. Cooley and John W. Tukey (One of the most cited papers in Engineering on the Fast Fourier Transform. The FFT itself has an interesting history too, see [http://ocw.nctu.edu.tw/course/fourier/supplement/heideman-johnson-etal1985.pdf Gauss and the History of the Fast Fourier Transform], )
* ''[http://www.lee.eng.uerj.br/~gil/redesII/hamming.pdf Error Detecting and Error Correcting Codes]'' (1950) by R. W. Hamming (Very readable paper that kicked off the whole field along with Shannon's work)
* ''Claude E. Shannon: Collected Papers'' edited by A. D. Wyner and Neil J. A. Sloane (Highlights include his EE master thesis "A Symbolic Analysis of Relay and Switching Circuits" (1937) which was the birth of using binary based on Boolean algebra to do computation ushering in the digital age, "A Mathematical Theory of Communication" (1948) which created the subject of information theory and still remains as one of the best introductions, and "Communication Theory of Secrecy Systems" (1949) which was the foundation of modern cryptography where he simplified Kerckhoffs's principle down to Shannon's Maxim of "the enemy knows the system" and proved that all theoretically unbreakable ciphers are equivalent to the one-time pad)
* ''The Annotated Turing: A Guided Tour Through Alan Turing's Historic Paper on Computability and the Turing Machine'' by Petzold (Not just a walk through of "On Computable Numbers, with an Application to the Entscheidungsproblem" (1936) but also makes a good introduction to computability theory)
